import sys
import java
import weblogic.diagnostics.accessor.XMLExporter as XMLExporter
import weblogic.kernel.Kernel as Kernel

def exportDiagnosticData(**dict) :
    xmlExporter = XMLExporter()

    dict.setdefault('logicalName', 'ServerLog')
    dict.setdefault('logName', 'myserver.log')
    dict.setdefault('logRotationDir', '.')
    dict.setdefault('storeDir', '../data/store/diagnostics')
    dict.setdefault('query', '')
    dict.setdefault('exportFileName', 'export.xml')
    dict.setdefault('beginTimestamp', 0)
    dict.setdefault('endTimestamp', Long.MAX_VALUE)
    dict.setdefault('elfFields', '')

    print dict

    logicalName = dict.get('logicalName')
    logName = dict.get('logName')         
    logRotationDir = dict.get('logRotationDir')
    storeDir = dict.get('storeDir')
    query = dict.get('query')
    exportFileName = dict.get('exportFileName')
    elfFields = dict.get('elfFields')
    begin = dict.get('beginTimestamp')
    end = dict.get('endTimestamp')

    System.out.println("Exporting diagnostic data to " + exportFileName)  

    Kernel.ensureInitialized()

    xmlExporter.exportDiagnosticData(\
    logicalName, \
    logName, \
    logRotationDir, \
    storeDir, \
    query, \
    exportFileName, \
    elfFields, \
    begin, end)